Log4j 1.2.8

## org.apache.log4j.spi
Interface HierarchyEventListener

All Known Implementing Classes:
  HierarchyDynamicMBean

public interface HierarchyEventListener

Listen to events occuring within a `Hierarchy`.

Since:
  1.2
Author:
  Ceki Gülcü

Method Summary
`void` `addAppenderEvent(Category cat, Appender appender)`
`void` `removeAppenderEvent(Category cat, Appender appender)`

Method Detail

### addAppenderEvent

    public void addAppenderEvent(Category cat,
                                 Appender appender)

### removeAppenderEvent

    public void removeAppenderEvent(Category cat,
                                    Appender appender)

Log4j 1.2.8

Copyright 2000-2002 Apache Software Foundation.